## scolasync 2.1

=== Makefile ===
DESTDIR = 
SUBDIRS = src
DOCSRC = $(shell find src -name '*.py'| grep -v marques.py)

all: doxy pdfdoc
	for d in $(SUBDIRS); do make all -C $$d DESTDIR=$(DESTDIR); done

install:
	install -d $(DESTDIR)/usr/share/scolasync/html
	cp -R doc/html/* $(DESTDIR)/usr/share/scolasync/html/
	install -d $(DESTDIR)/usr/share/scolasync/pdf
	install -m 644 doc/latex/refman.pdf $(DESTDIR)/usr/share/scolasync/pdf
	for d in $(SUBDIRS); do make install -C $$d DESTDIR=$(DESTDIR); done
	install -d $(DESTDIR)/usr/bin
	install -m 755 scolasync $(DESTDIR)/usr/bin/scolasync
	install -d $(DESTDIR)/usr/share/applications
	install -m 644 scolasync.desktop $(DESTDIR)/usr/share/applications


doxy: doc/html/index.html

pdfdoc: doc/latex/refman.pdf

doc/latex/refman.pdf: $(DOCSRC) config.dox
	cd doc/latex/; sed 's/utf8\]/utf8x]/' refman.tex > refman.tex.tmp && \
	  mv refman.tex.tmp refman.tex
	cd doc/latex; pdflatex refman.tex; \
	while grep -q "Rerun to get" refman.log; do \
	  pdflatex refman.tex; \
	done


doc/html/index.html: $(DOCSRC) config.dox
	doxygen config.dox

clean:
	rm -f *~
	cd doc/latex; rm -f *.aux *.log *~ *.toc *.idx *.out
	for d in $(SUBDIRS); do make clean -C $$d DESTDIR=$(DESTDIR); done

distclean: clean
	rm -rf doc/latex doc/html
	for d in $(SUBDIRS); do make distclean -C $$d DESTDIR=$(DESTDIR); done

tgz: all clean
	d=$$(pwd); cd ..; tar czvf scolasync-$$(date +%Y%m%d).tgz $$d

dist: distclean
	d=$$(pwd); cd ..; tar czvf scolasync-source-$$(date +%Y%m%d).tgz $$d

PHONY: all doxy clean pdfdoc distclean tgz install

=== src/Makefile ===
DESTDIR = 
HELPFILES = $(shell ls help | grep -E 'xhtml$$|css$$|png$$')
LRELEASE = lrelease-qt4
LUPDATE = pylupdate4
SOURCES = $(shell ls *.py| grep -v marques.py)
ITF_SOURCES = $(shell ls *.ui)
ITF = $(patsubst %.ui, Ui_%.py, $(ITF_SOURCES))
TSFILES = $(shell ls lang/*.ts)

all: interfaces languages

interfaces: $(ITF)

Ui_%.py: %.ui
	pyuic4 $< > $@

languages:
	$(LUPDATE) $(SOURCES) -ts $(TSFILES)
	$(LRELEASE) lang/*.ts 2>/dev/null || lrelease lang/*.ts 2>/dev/null || true


clean:
	rm -rf build
	rm -f *~ Ui_* *.pyc lang/*.qm

distclean: clean

install:
	install -d $(DESTDIR)/usr/share/scolasync
	install -m 644 marques.py $(DESTDIR)/usr/share/scolasync
	install	-d $(DESTDIR)/usr/share/pyshared/scolasync
	install -m 644 $(SOURCES) $(DESTDIR)/usr/share/pyshared/scolasync
	for f in $(ITF); do \
	  sed -e 's%images%/usr/share/scolasync/images%' \
	    -e 's%.*\(/usr/share/icons.*\)%\1%' \
	    $$f > $(DESTDIR)/usr/share/pyshared/scolasync/$$f; done
	install -d $(DESTDIR)/usr/share/scolasync/lang
	install -m 644 lang/*.qm $(DESTDIR)/usr/share/scolasync/lang
	install -d $(DESTDIR)/usr/share/scolasync/images
	install -m 644 images/* $(DESTDIR)/usr/share/scolasync/images
	install -d $(DESTDIR)/usr/share/scolasync/help
	install -m 644 help/* $(DESTDIR)/usr/share/scolasync/help

svn-keywords:
	for f in $(SOURCES); do svn propset svn:keywords "Id" $$f; done

PHONY: all interfaces languages clean distclean svn-keywords install

=== debian/changelog ===
scolasync (2.1-9) unstable; urgency=low

  * removed the alreadyAsked list in ownedUsb.py, which prevented 
    from registering multiple drives which bear the same "unique" identifier.
    This issue is not uncommon since some vendors use cloning techniques
    to preload some drives with custom contents, without regarding the
    uniqueness of the identifiers born by the drives.
  * bumped standards-version to 3.9.2

 -- Georges Khaznadar <georgesk@ofset.org>  Mon, 11 Apr 2011 13:17:24 +0200

scolasync (2.1-8) unstable; urgency=low

  * modified the way scolasync creates a "tattoo" on a USB drive.

 -- Georges Khaznadar <georgesk@ofset.org>  Fri, 01 Apr 2011 18:51:45 +0200

scolasync (2.1-7) unstable; urgency=low

  * fixed a bug which prevented from retreiving files from usb drives.

 -- Georges Khaznadar <georgesk@ofset.org>  Wed, 30 Mar 2011 16:05:38 +0200

scolasync (2.1-6) unstable; urgency=low

  * tracked and fixed a bug which disallowed fetching directories from the
    USB drives.
  * added a pause of 50 milliseconds after each tatoo written on a usb
    drive in order to avoid similar timestamps.

 -- Georges Khaznadar <georgesk@ofset.org>  Mon, 28 Mar 2011 19:46:43 +0200

scolasync (2.1-5) unstable; urgency=low

  * fixed bugs with non-quoted file names, and an extra "/" in a 
    directory reference.
  * translated every changelog entry to English, and uploaded once more 
    to Debian, Closes: #610189

 -- Georges Khaznadar <georgesk@ofset.org>  Sat, 19 Mar 2011 20:14:43 +0100

scolasync (2.1-4) unstable; urgency=low

  * fixed the i18n system and made an English l10n.
  * added a dependency on python-qt4, thanks to Louis-Maurice De Sousa

 -- Georges Khaznadar <georgesk@ofset.org>  Sat, 29 Jan 2011 17:40:59 +0100

scolasync (2.1-3) unstable; urgency=low

  * fixed the dialog to choose existing files or directories in the usb
    drives.
  * slightly modified the dialog coming prior to unmounts
  * fixed a bug triggered by request to create a file inside a non-existing
    path

 -- Georges Khaznadar <georgesk@ofset.org>  Fri, 28 Jan 2011 23:46:57 +0100

scolasync (2.1-2) unstable; urgency=low

  * fixed src/db.py, added "import subprocess"

 -- Georges Khaznadar <georgesk@ofset.org>  Fri, 21 Jan 2011 16:57:14 +0100

scolasync (2.1-1) unstable; urgency=low

  * implemented a management of preferences, modified a few user interfaces,
    added a few warning dialogs, and tool invokations to improve the
    feedback, added a version management inside the database.
  * first upload to Debian. Closes: #610189

 -- Georges Khaznadar <georgesk@ofset.org>  Sun, 16 Jan 2011 01:07:03 +0100

scolasync (2.0-7) unstable; urgency=low

  * modified the icons, added a dependency on the package which provides them
    fournit les icônes.

 -- Georges Khaznadar <georgesk@ofset.org>  Sat, 15 Jan 2011 19:01:55 +0100

scolasync (2.0-6) unstable; urgency=low

  * added a tatoo mechanism: scolasync writes a special file into the 
    unknown USB drives (UNIX date of the first tatoo). This system helps for
    identification.

 -- Georges Khaznadar <georgesk@ofset.org>  Wed, 12 Jan 2011 19:26:13 +0100

scolasync (2.0-5) unstable; urgency=low

  * added a dialog for cells where a double-click is bound to no action.
    fixed a false detection of USB drive change.

 -- Georges Khaznadar <georgesk@ofset.org>  Wed, 15 Dec 2010 23:35:12 +0100

scolasync (2.0-4) unstable; urgency=low

  * improved the management of USB drives with unusual "serial numbers"
    and without a partition table

 -- Georges Khaznadar <georgesk@ofset.org>  Wed, 15 Dec 2010 21:59:58 +0100

scolasync (2.0-3) unstable; urgency=low

  * removed some dependencies, began to use a standard desktop 
    notification system

 -- Georges Khaznadar <georgesk@ofset.org>  Sat, 11 Dec 2010 16:45:26 +0100

scolasync (2.0-2) unstable; urgency=low

  * added a possibility to consider partitionless disk drives

 -- Georges Khaznadar <georgesk@ofset.org>  Wed, 01 Dec 2010 18:52:28 +0100

scolasync (2.0-1) unstable; urgency=low

  * replaced the DBM database engine by SQLite

 -- Georges Khaznadar <georgesk@ofset.org>  Sun, 28 Nov 2010 10:16:09 +0100

scolasync (1.0-3) unstable; urgency=low

  * created src/sounds/pop2.wav (with the help of Audacity and 
    Kde-window-manager's pop.wav

 -- Georges Khaznadar <georgesk@ofset.org>  Mon, 22 Nov 2010 16:26:57 +0100

scolasync (1.0-2) unstable; urgency=low

  * modified the main Makefile in order to rerun pdflatex when some
    cross-references remained undefined.

 -- Georges Khaznadar <georgesk@ofset.org>  Tue, 09 Nov 2010 01:12:50 +0100

scolasync (1.0-1) unstable; urgency=low

  * Initial debianization  

 -- Georges Khaznadar <georgesk@ofset.org>  Tue, 02 Nov 2010 01:39:21 +0100

=== debian/control ===
Source: scolasync
Section: x11
Priority: extra
Maintainer: Georges Khaznadar <georgesk@ofset.org>
Build-Depends: debhelper (>= 7.0.50~), python-all, python-qt4-dev, libqt4-dev,
 pyqt4-dev-tools, python-central(>= 0.5.6), doxygen, doxypy, texlive
Standards-Version: 3.9.2

Package: scolasync
Architecture: all
Depends: ${misc:Depends}, ${python:Depends}, udisks, python-qt4,
 python-pysqlite2, python-dbus, tango-icon-theme
Description: graphic tool to copy data to or from a set of USB storage media
 Teachers may use this package to manage a set of USB sticks owned by their
 students. The keys are recognized (with their owner's name), and the teachers
 can copy assignments to them ans retrieve consistently the homeworks from
 the usb sticks.

## scolasync 2.2

=== debian/changelog ===
scolasync (2.2-2) unstable; urgency=low

  * added a build-dependency on graphviz and texlive-latex-base, latex-xcolor
    Closes: #633551

 -- Georges Khaznadar <georgesk@ofset.org>  Fri, 15 Jul 2011 15:48:13 +0200

scolasync (2.2-1) unstable; urgency=low

  * added a file to manage global definitions, particularly those bound
    to the platform in use. Porting to Windows should be possible after
    this version, if usbDisks.py and notification.py are reimplemented.
  * swallowed all the previous debian patches, increased the version number.

 -- Georges Khaznadar <georgesk@ofset.org>  Mon, 13 Jun 2011 12:28:25 +0200

scolasync (2.1-13) unstable; urgency=low

  * updated the Portuguese translation file, thanks to Louis-Maurice De Sousa

 -- Georges Khaznadar <georgesk@ofset.org>  Tue, 24 May 2011 20:13:43 +0200

scolasync (2.1-12) unstable; urgency=low

  * added a build-dep: texlive-latex-extra, thanks to Eric Seigne.

 -- Georges Khaznadar <georgesk@ofset.org>  Thu, 19 May 2011 18:29:04 +0200

scolasync (2.1-11) unstable; urgency=low

  * made the main table sortable by default
  * added an indicator for running threads

 -- Georges Khaznadar <georgesk@ofset.org>  Sun, 08 May 2011 23:27:05 +0200

scolasync (2.1-10) unstable; urgency=low

  * fixed the typo in debian/control, thanks to Uwe Kleine-König.
    Closes: #623081
  * added a build-dependency on xsltproc and docbook-xsl. Closes: #625167

 -- Georges Khaznadar <georgesk@ofset.org>  Fri, 06 May 2011 18:42:10 +0200

=== debian/control ===
Source: scolasync
Section: x11
Priority: extra
Maintainer: Georges Khaznadar <georgesk@ofset.org>
Build-Depends: debhelper (>= 7.0.50~), python-all, python-qt4-dev, libqt4-dev,
 pyqt4-dev-tools, python-central(>= 0.5.6), doxygen, doxypy,
 graphviz, texlive-latex-base, texlive, texlive-latex-extra, latex-xcolor,
 xsltproc, docbook-xsl
Standards-Version: 3.9.2

Package: scolasync
Architecture: all
Depends: ${misc:Depends}, ${python:Depends}, udisks, python-qt4,
 python-pysqlite2, python-dbus, tango-icon-theme
Description: graphic tool to copy data to or from a set of USB storage media
 Teachers may use this package to manage a set of USB sticks owned by their
 students. The keys are recognized (with their owner's name), and the teachers
 can copy assignments to them and retrieve consistently the homeworks from
 the usb sticks.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

%:
	dh $@ 

override_dh_install:
	dh_install
	rm -f $(CURDIR)/debian/scolasync/usr/share/scolasync/html/jquery.js
	ln -s /usr/share/javascript/jquery/jquery.js $(CURDIR)/debian/scolasync/usr/share/scolasync/html/

## scolasync 2.3

=== debian/changelog ===
scolasync (2.3-1) unstable; urgency=low

  * increased the delay between disk checks to 20 seconds
  * added a button to force a disk check
  * modified the time of first occurence of disk check
  * modified a few help phrases and their English translation
  * added a display to show the number of connected medias
  * added an event management to make it flash during disk checks
  * avoided redrawing the table of medias if no change happens
  * fixed a bug to pre-select the first media when choosing files to
    retreive or files to delete.
  * enhanced the display for size and percentage of filling of medias
  * added an X-Python-Version: stance, added --with pyton2 in debian/rules,
    added a file __init__.py. Closes: #652345

 -- Georges Khaznadar <georgesk@ofset.org>  Fri, 16 Dec 2011 22:57:00 +0100

=== debian/control ===
--- 
+++ 
@@ -6,6 +6,7 @@
  pyqt4-dev-tools, python-central(>= 0.5.6), doxygen, doxypy,
  graphviz, texlive-latex-base, texlive, texlive-latex-extra, latex-xcolor,
  xsltproc, docbook-xsl
+X-Python-Version: >= 2.5
 Standards-Version: 3.9.2
 
 Package: scolasync

## scolasync 2.9

=== src/Makefile ===
DESTDIR = 
HELPFILES = $(shell ls help | grep -E 'xhtml$$|css$$|png$$')
SOURCES = $(shell ls *.py| grep -v marques.py)
ITF_SOURCES = $(shell ls *.ui)
ITF = $(patsubst %.ui, Ui_%.py, $(ITF_SOURCES))

all: interfaces
	make -C lang all

interfaces: $(ITF)

Ui_%.py: %.ui
	pyuic4 $< > $@

clean:
	rm -rf build
	rm -f *~ Ui_* *.pyc
	make -C lang clean

distclean: clean

install:
	install -d $(DESTDIR)/usr/share/scolasync
	install -m 644 marques.py $(DESTDIR)/usr/share/scolasync
	install	-d $(DESTDIR)/usr/share/pyshared/scolasync
	install -m 644 $(SOURCES) $(DESTDIR)/usr/share/pyshared/scolasync
	for f in $(ITF); do \
	  sed -e 's%images%/usr/share/scolasync/images%' \
	    -e 's%\.\./.*\(/usr/share/icons.*\)%\1%' \
	    $$f > $(DESTDIR)/usr/share/pyshared/scolasync/$$f; done
	install -d $(DESTDIR)/usr/share/scolasync/lang
	install -m 644 lang/*.qm $(DESTDIR)/usr/share/scolasync/lang
	install -d $(DESTDIR)/usr/share/scolasync/images
	install -m 644 images/* $(DESTDIR)/usr/share/scolasync/images
	install -d $(DESTDIR)/usr/share/scolasync/help
	install -m 644 help/* $(DESTDIR)/usr/share/scolasync/help

svn-keywords:
	for f in $(SOURCES); do svn propset svn:keywords "Id" $$f; done

PHONY: all interfaces clean distclean svn-keywords install

=== doc/latex/Makefile ===
all: refman.pdf

pdf: refman.pdf

refman.pdf: clean refman.tex
	pdflatex refman.tex
	makeindex refman.idx
	pdflatex refman.tex
	latex_count=5 ; \
	while egrep -s 'Rerun (LaTeX|to get cross-references right)' refman.log && [ $$latex_count -gt 0 ] ;\
	    do \
	      echo "Rerunning latex...." ;\
	      pdflatex refman.tex ;\
	      latex_count=`expr $$latex_count - 1` ;\
	    done


clean:
	rm -f *.ps *.dvi *.aux *.toc *.idx *.ind *.ilg *.log *.out refman.pdf

=== debian/changelog ===
scolasync (2.9-1) unstable; urgency=low

  * added a possibility to manage easily the check boxes

 -- Georges Khaznadar <georgesk@ofset.org>  Sun, 22 Jan 2012 21:09:53 +0100

scolasync (2.8-2) unstable; urgency=low

  * fixed the localization of Qt's dialog buttons

 -- Georges Khaznadar <georgesk@ofset.org>  Thu, 19 Jan 2012 00:31:55 +0100

scolasync (2.8-1) unstable; urgency=low

  * added a lock system for checkDisks
  * added a stop mechanism for too slow threads
  * fixed a bug with a question messagebox
  * fixed the protectPath feature

 -- Georges Khaznadar <georgesk@ofset.org>  Thu, 19 Jan 2012 00:09:48 +0100

scolasync (2.7-4) unstable; urgency=low

  * disabled the protectPath feature which was buggy. Now retreiving
    files is possible, but the program is still vulnerable to non-safe
    filenames.

 -- Georges Khaznadar <georgesk@ofset.org>  Wed, 18 Jan 2012 18:28:18 +0100

scolasync (2.7-3) unstable; urgency=low

  * fixed a bug which affected the renaming of unknown medias

 -- Georges Khaznadar <georgesk@ofset.org>  Wed, 18 Jan 2012 12:32:28 +0100

scolasync (2.7-2) unstable; urgency=low

  * fixed one dbus call

 -- Georges Khaznadar <georgesk@ofset.org>  Tue, 17 Jan 2012 19:53:21 +0100

scolasync (2.7-1) unstable; urgency=low

  * removed the dependency on Hal, improved the recognition of vfat
    partitions
  * fixed many bugs: globbing characters in paths are now considered,
    probably removed lock possibilities for multiple threads trying to
    access the same logFile simultaneously, fixed the mess when one tries
    to edit a media's owner.

 -- Georges Khaznadar <georgesk@ofset.org>  Sat, 14 Jan 2012 19:03:01 +0100

scolasync (2.6-1) unstable; urgency=low

  * modified the method to identify plugged medias: now tablet computers
    are recognized.
  * fixed a bug in the recognition of vfat systems in partitionless
    medias
  * added a switch in preferences, to replace copying from medias by
    moving from medias

 -- Georges Khaznadar <georgesk@ofset.org>  Thu, 12 Jan 2012 19:27:33 +0100

scolasync (2.5-1) unstable; urgency=low

  * added a check before authorizing new threads: the last thread set must
    have finished.
  * implemented the redo feature

 -- Georges Khaznadar <georgesk@ofset.org>  Sun, 08 Jan 2012 23:26:50 +0100

scolasync (2.4-3) unstable; urgency=low

  * added on dependency: python-qt4-dbus

 -- Georges Khaznadar <georgesk@ofset.org>  Sun, 08 Jan 2012 18:21:25 +0100

scolasync (2.4-2) unstable; urgency=low

  * implemented the actions for new items introduced recently in the 
    preferences : timer control and link to custom manual.
  * now polling the disks is triggered by disk connect/disconnect events;
    by default, refreshing the disk set by periodic polls is disabled,
    however users can enable it by customizing their preferences.
  * removed the global threads variable in usbThreads.py, replaced it by
    a dictionary owner => thread's command in mainWindow.py
  * simplified the update of icons denoting the running threads. They are
    no longer updated by polling the running threads, but they are
    toggled by signals emitted when a thread begins or ends.
  * extended the selection feature to copy-to, copy-from and delete-files
    operations. Now they should act only on checked medias.
  * allowed to choose multiple files to copy from or to delete in the
    relevant file dialog
  * changed the icons and some help messages in the dialog used to choose
    files and directories, changed the layout to make main buttons more
    evident

 -- Georges Khaznadar <georgesk@ofset.org>  Sun, 08 Jan 2012 12:26:01 +0100

scolasync (2.4-1) unstable; urgency=low

  * added a "manual" tab to the help dialog
  * added new items in preferences dialog
  * fixed a bug which prevented mounting recently plugged disks a startup
  * made the application less verbose when it mounts volumes
  * implemented direct management for Dbus signals instead of 
    periodic polling

 -- Georges Khaznadar <georgesk@ofset.org>  Thu, 29 Dec 2011 02:53:10 +0100

=== debian/control ===
--- 
+++ 
@@ -11,8 +11,9 @@
 
 Package: scolasync
 Architecture: all
-Depends: ${misc:Depends}, ${python:Depends}, udisks, python-qt4,
- python-pysqlite2, python-dbus, tango-icon-theme
+Depends: ${misc:Depends}, ${python:Depends}, udisks,
+ python-qt4, python-qt4-dbus, python-pysqlite2, python-dbus,
+ tango-icon-theme
 Description: graphic tool to copy data to or from a set of USB storage media
  Teachers may use this package to manage a set of USB sticks owned by their
  students. The keys are recognized (with their owner's name), and the teachers

=== debian/rules ===
--- 
+++ 
@@ -10,7 +10,7 @@
 #export DH_VERBOSE=1
 
 %:
-	dh $@ 
+	dh $@ --with python2
 
 override_dh_install:
 	dh_install

## scolasync 3.0

=== Makefile ===
--- 
+++ 
@@ -1,8 +1,10 @@
 DESTDIR = 
 SUBDIRS = src
 DOCSRC = $(shell find src -name '*.py'| grep -v marques.py)
+DB2MAN = /usr/share/sgml/docbook/stylesheet/xsl/docbook-xsl/manpages/docbook.xsl
+XP     = xsltproc --nonet --param man.charmap.use.subset "0"
 
-all: doxy pdfdoc
+all: doxy pdfdoc scolasync.1
 	for d in $(SUBDIRS); do make all -C $$d DESTDIR=$(DESTDIR); done
 
 install:
@@ -16,6 +18,9 @@
 	install -d $(DESTDIR)/usr/share/applications
 	install -m 644 scolasync.desktop $(DESTDIR)/usr/share/applications
 
+
+scolasync.1: manpage.xml
+	$(XP) $(DB2MAN) $<
 
 doxy: doc/html/index.html
 
@@ -34,7 +39,7 @@
 	doxygen config.dox
 
 clean:
-	rm -f *~
+	rm -f *~ *.1
 	cd doc/latex; rm -f *.aux *.log *~ *.toc *.idx *.out
 	for d in $(SUBDIRS); do make clean -C $$d DESTDIR=$(DESTDIR); done

=== debian/changelog ===
scolasync (3.0-1) unstable; urgency=low

  * rewritten the synchronization commands entirely in Python (no more shell
    with its special characters)
  * updated Standards-Version to 3.9.3

 -- Georges Khaznadar <georgesk@ofset.org>  Fri, 25 May 2012 23:46:06 +0200

=== debian/control ===
--- 
+++ 
@@ -7,7 +7,7 @@
  graphviz, texlive-latex-base, texlive, texlive-latex-extra, latex-xcolor,
  xsltproc, docbook-xsl
 X-Python-Version: >= 2.5
-Standards-Version: 3.9.2
+Standards-Version: 3.9.3
 
 Package: scolasync
 Architecture: all

## scolasync 3.1

=== Makefile ===
--- 
+++ 
@@ -12,6 +12,8 @@
 	cp -R doc/html/* $(DESTDIR)/usr/share/scolasync/html/
 	install -d $(DESTDIR)/usr/share/scolasync/pdf
 	install -m 644 doc/latex/refman.pdf $(DESTDIR)/usr/share/scolasync/pdf
+	install -d $(DESTDIR)/usr/share/scolasync/exemple
+	install -m 644 exemples/* $(DESTDIR)/usr/share/scolasync/exemple
 	for d in $(SUBDIRS); do make install -C $$d DESTDIR=$(DESTDIR); done
 	install -d $(DESTDIR)/usr/bin
 	install -m 755 scolasync $(DESTDIR)/usr/bin/scolasync

=== debian/changelog ===
scolasync (3.1-1) unstable; urgency=low

  * added the support to manageme school lists of students, and
    automatic naming and numbering of medias. The supported file format
    is currently SCONET.

 -- Georges Khaznadar <georgesk@ofset.org>  Sat, 23 Jun 2012 20:58:53 +0200

## scolasync 4.0

=== debian/changelog ===
scolasync (4.0-6) unstable; urgency=low

  * fixed a bad format character "%S" in a translation file.
  * modified the command used to eject USB drives. Added the package
    eject as a dependency.

 -- Georges Khaznadar <georgesk@debian.org>  Fri, 25 Jan 2013 16:32:00 +0100

scolasync (4.0-5) unstable; urgency=low

  * added a property to the class usbDisk.uDisk, to keep the /dev/whatever
    stuff symlinked to /dev/disks/by-path; this should make safer the umount
    procedures.
  * implemented caching to make safer the function usbDisk.uDisk.montPoint():
    the udev system is requested no more than once by instance.

 -- Georges Khaznadar <georgesk@debian.org>  Fri, 25 Jan 2013 15:00:51 +0100

scolasync (4.0-4) unstable; urgency=low

  * Added python3-dbus.mainloop.qt as a dependency. Closes: #695576
  * Added udisks as a dependency. Closes: #695579
  * modified the way the file marques.py is opened. Closes: #695580

 -- Georges Khaznadar <georgesk@debian.org>  Thu, 13 Dec 2012 17:22:31 +0100

scolasync (4.0-3) unstable; urgency=low

  * made the encoding of the file config.dox explicit for the script
    used to update its contents. Closes: #695684
  * removed the invocations of python-support. Closes: #695686

 -- Georges Khaznadar <georgesk@debian.org>  Thu, 13 Dec 2012 16:54:22 +0100

scolasync (4.0-2) unstable; urgency=low

  * removed the unused dependency on python-pysqlite2. Closes: #695682

 -- Georges Khaznadar <georgesk@debian.org>  Thu, 13 Dec 2012 16:46:46 +0100

scolasync (4.0-1) unstable; urgency=low

  * migrated to python3, modified debian/control and debian/rules
    accordingly, refurbished the source code.
  * added an icon for copying from drives while erasing
  * developed a new unique identification of devices based on
    /dev/by-path; this works around the issue concerning devices
    coming with ambiguous uuids
  * changed my debemail address to georgesk@debian.org
  * ensured that the version number from source files is updated in
    documents and helps issued from these files.
  * fixed an issue with localization
  * fixed the location of private modules
  * fixed documentation details in scolasync.py

 -- Georges Khaznadar <georgesk@debian.org>  Mon, 25 Jun 2012 17:02:17 +0200

=== debian/control ===
Source: scolasync
Section: x11
Priority: extra
Maintainer: Georges Khaznadar <georgesk@debian.org>
Build-Depends: debhelper (>= 7.0.50~), python3-all, python-qt4-dev, libqt4-dev,
 pyqt4-dev-tools, doxygen, doxypy,
 graphviz, texlive-latex-base, texlive, texlive-latex-extra, latex-xcolor,
 xsltproc, docbook-xsl
X-Python3-Version: >= 3.2
Standards-Version: 3.9.3

Package: scolasync
Architecture: all
Depends: ${misc:Depends}, ${python3:Depends},
 udisks, eject,
 python3-pyqt4, python3-dbus, python3-dbus.mainloop.qt,
 tango-icon-theme
Description: graphic tool to copy data to or from a set of USB storage media
 Teachers may use this package to manage a set of USB sticks owned by their
 students. The keys are recognized (with their owner's name), and the teachers
 can copy assignments to them and retrieve consistently the homeworks from
 the usb sticks.

## scolasync 4.1

=== Makefile ===
--- 
+++ 
@@ -24,7 +24,8 @@
 scolasync.1: manpage.xml
 	$(XP) $(DB2MAN) $<
 
-doxy: doc/html/index.html
+doxy: doc/html/index.html src/version.py
+	./update_config_dox
 
 pdfdoc: doc/latex/refman.pdf
 
@@ -42,6 +43,7 @@
 
 clean:
 	rm -f *~ *.1
+	rm -rf __pycache__
 	cd doc/latex; rm -f *.aux *.log *~ *.toc *.idx *.out
 	for d in $(SUBDIRS); do make clean -C $$d DESTDIR=$(DESTDIR); done

=== src/Makefile ===
--- 
+++ 
@@ -13,7 +13,7 @@
 	pyuic4 $< > $@
 
 clean:
-	rm -rf build
+	rm -rf build __pycache__
 	rm -f *~ Ui_* *.pyc
 	make -C lang clean
 
@@ -21,13 +21,11 @@
 
 install:
 	install -d $(DESTDIR)/usr/share/scolasync
-	install -m 644 marques.py $(DESTDIR)/usr/share/scolasync
-	install	-d $(DESTDIR)/usr/share/pyshared/scolasync
-	install -m 644 $(SOURCES) $(DESTDIR)/usr/share/pyshared/scolasync
+	install -m 644 marques.py $(SOURCES) $(DESTDIR)/usr/share/scolasync
 	for f in $(ITF); do \
 	  sed -e 's%images%/usr/share/scolasync/images%' \
 	    -e 's%\.\./.*\(/usr/share/icons.*\)%\1%' \
-	    $$f > $(DESTDIR)/usr/share/pyshared/scolasync/$$f; done
+	    $$f > $(DESTDIR)/usr/share/scolasync/$$f; done
 	install -d $(DESTDIR)/usr/share/scolasync/lang
 	install -m 644 lang/*.qm $(DESTDIR)/usr/share/scolasync/lang
 	install -d $(DESTDIR)/usr/share/scolasync/images

=== src/lang/Makefile ===
SOURCES = $(shell find .. -name "*.py"| grep -v marques.py| grep -v "^Ui_")
FORMS = $(shell find .. -name "*.ui")
TRANSLATIONS = $(shell ls *.ts)
LRELEASE = lrelease-qt4
LUPDATE = pylupdate4

all: scolasync.pro
	$(LUPDATE) -verbose $<
	$(LRELEASE) *.ts 2>/dev/null || true

scolasync.pro:
	echo "SOURCES = " $(SOURCES) > $@
	echo "FORMS = " $(FORMS) >> $@
	echo "TRANSLATIONS = " $(TRANSLATIONS) >> $@

clean:
	rm -f *~ scolasync.pro *.qm

.PHONY: clean all

=== debian/changelog ===
scolasync (4.1-2) unstable; urgency=medium

  * replaced the call of nautilus by a call of xdg-open; added a dependency
    on xdg-utils
  * added another example for class lists

 -- Georges Khaznadar <georgesk@debian.org>  Sun, 12 Jan 2014 01:00:22 +0100

scolasync (4.1-1) unstable; urgency=low

  * removed the -c option for the line command. Items of the table should
    always be checkable
  * fixed an inconsistency in the file Makefile and modified
    the build-dependencies to take in account '[french] babel'.
    Closes: #713222

 -- Georges Khaznadar <georgesk@debian.org>  Wed, 01 May 2013 19:15:05 +0200

scolasync (4.0-7) unstable; urgency=low

  * added a few tests for the file usbThread.py
  * removed an invocation of QString() which became unnecessary

 -- Georges Khaznadar <georgesk@debian.org>  Sat, 02 Mar 2013 17:54:02 +0100

=== debian/control ===
--- 
+++ 
@@ -4,7 +4,8 @@
 Maintainer: Georges Khaznadar <georgesk@debian.org>
 Build-Depends: debhelper (>= 7.0.50~), python3-all, python-qt4-dev, libqt4-dev,
  pyqt4-dev-tools, doxygen, doxypy,
- graphviz, texlive-latex-base, texlive, texlive-latex-extra, latex-xcolor,
+ graphviz,
+ texlive, texlive-latex-extra, latex-xcolor, texlive-lang-french,
  xsltproc, docbook-xsl
 X-Python3-Version: >= 3.2
 Standards-Version: 3.9.3
@@ -12,7 +13,7 @@
 Package: scolasync
 Architecture: all
 Depends: ${misc:Depends}, ${python3:Depends},
- udisks, eject,
+ udisks, eject, xdg-utils,
  python3-pyqt4, python3-dbus, python3-dbus.mainloop.qt,
  tango-icon-theme
 Description: graphic tool to copy data to or from a set of USB storage media

=== debian/rules ===
--- 
+++ 
@@ -10,7 +10,7 @@
 #export DH_VERBOSE=1
 
 %:
-	dh $@ --with python2
+	dh $@ --with python3 --without=python-support
 
 override_dh_install:
 	dh_install

## scolasync 5.0

=== debian/changelog ===
scolasync (5.0-1) unstable; urgency=medium

  * upgraded to the newest upstream version. This is the move to udisks2.
    Closes: #740841

 -- Georges Khaznadar <georgesk@debian.org>  Sat, 14 Feb 2015 16:37:45 +0100

scolasync (4.1-3) unstable; urgency=medium

  * modified the build of refman.pdf; Closes: #750266

 -- Georges Khaznadar <georgesk@debian.org>  Thu, 05 Jun 2014 15:56:47 +0200

## scolasync 5.1

=== Makefile ===
--- 
+++ 
@@ -7,7 +7,7 @@
 all: doxy pdfdoc scolasync.1
 	for d in $(SUBDIRS); do make all -C $$d DESTDIR=$(DESTDIR); done
 
-install:
+install: all
 	install -d $(DESTDIR)/usr/share/scolasync/html
 	cp -R doc/html/* $(DESTDIR)/usr/share/scolasync/html/
 	install -d $(DESTDIR)/usr/share/scolasync/pdf
@@ -48,7 +48,7 @@
 	for d in $(SUBDIRS); do make clean -C $$d DESTDIR=$(DESTDIR); done
 
 distclean: clean
-	rm -rf doc/latex doc/html
+	rm -rf doc/*
 	for d in $(SUBDIRS); do make distclean -C $$d DESTDIR=$(DESTDIR); done
 
 tgz: all clean

=== debian/changelog ===
scolasync (5.1-1) unstable; urgency=medium

  * upgraded the GUI library to Qt5 : hence the dependencies are renewed
  * mofified quite a few lines in python files to use the new library
  * upgraded Standards-Version to 3.9.6 and compat to 9
  * fixed a dependency: udisks -> udisks2
  * added build-dependencies on qttools5-dev-tools, qtchooser.

 -- Georges Khaznadar <georgesk@debian.org>  Wed, 13 May 2015 16:10:56 +0200

## scolasync 5.2

=== debian/changelog ===
scolasync (5.2-2) unstable; urgency=medium

  * Updated the build-dependency latex-xcolor =>
    texlive-latex-recommended. Closes: #865246
  * Updated Standards-Version

 -- Georges Khaznadar <georgesk@debian.org>  Tue, 20 Jun 2017 14:55:57 +0200

scolasync (5.2-1) unstable; urgency=medium

  * added a rule to keep pre-built documentation. One may erase the
    file keepTheDocs to force building the docs. #Closes: #814790
  * removed debian/menu as there is already a .desktop file

 -- Georges Khaznadar <georgesk@debian.org>  Mon, 15 Feb 2016 15:25:43 +0100

scolasync (5.1-2) unstable; urgency=medium

  * checked the build of programer documentation by doxygen inside
    Sid. Closes: #814790

 -- Georges Khaznadar <georgesk@debian.org>  Mon, 15 Feb 2016 14:03:18 +0100

=== debian/control ===
Source: scolasync
Section: x11
Priority: extra
Maintainer: Georges Khaznadar <georgesk@debian.org>
Build-Depends: debhelper (>= 9.0), python3-all,
 pyqt5-dev, qtbase5-dev, qttools5-dev-tools, qtchooser,
 pyqt5-dev-tools, doxygen, doxypy,
 graphviz,
 texlive, texlive-latex-extra, texlive-latex-recommended,
 texlive-lang-french,
 xsltproc, docbook-xsl
X-Python3-Version: >= 3.2
Standards-Version: 3.9.8

Package: scolasync
Architecture: all
Depends: ${misc:Depends}, ${python3:Depends},
 udisks2, eject, xdg-utils,
 python3-pyqt5, python3-dbus, python3-dbus.mainloop.qt,
 tango-icon-theme
Description: graphic tool to copy data to or from a set of USB storage media
 Teachers may use this package to manage a set of USB sticks owned by their
 students. The keys are recognized (with their owner's name), and the teachers
 can copy assignments to them and retrieve consistently the homeworks from
 the usb sticks.

## scolasync 5.3

=== debian/changelog ===
scolasync (5.3-2) unstable; urgency=medium

  * removed the build-dependency on doxypy
  * added scripts to use doxypypy locally, before it becomes
    packaged for Debian
  * upgraded Standards-Version
  * updated the version number in doxygen's configuration file

 -- Georges Khaznadar <georgesk@debian.org>  Sun, 01 Dec 2019 18:47:11 +0100

scolasync (5.3-1) unstable; urgency=medium

  * new upstream version: Closes: #935183
  * fixed issues which created a dependency on Qt4
  * bumped standards-version to 4.1.4, dh level to 11

 -- Georges Khaznadar <georgesk@debian.org>  Sat, 24 Aug 2019 19:56:21 +0200

=== debian/control ===
Source: scolasync
Section: x11
Priority: optional
Maintainer: Georges Khaznadar <georgesk@debian.org>
Build-Depends: debhelper (>= 11), python3-all, dh-python,
 pyqt5-dev, qtbase5-dev, qttools5-dev-tools, qtchooser,
 pyqt5-dev-tools, doxygen,
 graphviz,
 texlive, texlive-latex-extra, texlive-latex-recommended,
 texlive-lang-french,
 xsltproc, docbook-xsl
Standards-Version: 4.4.0
Vcs-Browser: https://salsa.debian.org/georgesk/scolasync
Vcs-Git: https://salsa.debian.org/georgesk/scolasync.git

Package: scolasync
Architecture: all
Depends: ${misc:Depends}, ${python3:Depends},
 udisks2, eject, xdg-utils,
 python3-pyqt5, python3-dbus, python3-dbus.mainloop.pyqt5,
 tango-icon-theme
Description: graphic tool to copy data to or from a set of USB storage media
 Teachers may use this package to manage a set of USB sticks owned by their
 students. The keys are recognized (with their owner's name), and the teachers
 can copy assignments to them and retrieve consistently the homeworks from
 the usb sticks.

## scolasync 5.4

=== Makefile ===
--- 
+++ 
@@ -4,7 +4,10 @@
 DB2MAN = /usr/share/sgml/docbook/stylesheet/xsl/docbook-xsl/manpages/docbook.xsl
 XP     = xsltproc --nonet --param man.charmap.use.subset "0"
 
-all: doxy pdfdoc scolasync.1
+all:
+	[ -f keepTheDocs ] || make doc/html/index.html
+	[ -f keepTheDocs ] || make doc/latex/refman.pdf
+	[ -f keepTheDocs ] || make scolasync.1
 	for d in $(SUBDIRS); do make all -C $$d DESTDIR=$(DESTDIR); done
 
 install: all
@@ -24,10 +27,9 @@
 scolasync.1: manpage.xml
 	$(XP) $(DB2MAN) $<
 
-doxy: doc/html/index.html src/version.py
+doc/html/index.html: $(DOCSRC) config.dox
 	./update_config_dox
-
-pdfdoc: doc/latex/refman.pdf
+	doxygen config.dox
 
 doc/latex/refman.pdf: $(DOCSRC) config.dox
 	cd doc/latex/; sed 's/utf8\]/utf8x]/' refman.tex > refman.tex.tmp && \
@@ -37,18 +39,14 @@
 	  pdflatex refman.tex; \
 	done
 
-
-doc/html/index.html: $(DOCSRC) config.dox
-	doxygen config.dox
-
 clean:
-	rm -f *~ *.1
+	rm -f *~
 	rm -rf __pycache__
 	cd doc/latex; rm -f *.aux *.log *~ *.toc *.idx *.out
 	for d in $(SUBDIRS); do make clean -C $$d DESTDIR=$(DESTDIR); done
 
 distclean: clean
-	rm -rf doc/*
+	[ -f keepTheDocs ] || rm -rf doc/* *.1
 	for d in $(SUBDIRS); do make distclean -C $$d DESTDIR=$(DESTDIR); done
 
 tgz: all clean
@@ -57,6 +55,4 @@
 dist: distclean
 	d=$$(pwd); cd ..; tar czvf scolasync-source-$$(date +%Y%m%d).tgz $$d
 
-PHONY: all doxy clean pdfdoc distclean tgz install
-
-
+PHONY: all clean distclean dist tgz install

=== src/lang/Makefile ===
--- 
+++ 
@@ -1,8 +1,8 @@
 SOURCES = $(shell find .. -name "*.py"| grep -v marques.py| grep -v "^Ui_")
 FORMS = $(shell find .. -name "*.ui")
 TRANSLATIONS = $(shell ls *.ts)
-LRELEASE = lrelease-qt4
-LUPDATE = pylupdate4
+LRELEASE = lrelease -qt5
+LUPDATE = pylupdate5
 
 all: scolasync.pro
 	$(LUPDATE) -verbose $<

=== debian/changelog ===
scolasync (5.4-3) unstable; urgency=medium

  [ Debian Janitor ]
  * Update lintian override info format in d/source/lintian-overrides on line
    4-14.
  * Trim trailing whitespace.
  * Bump debhelper from old 12 to 13.
  * Update standards version to 4.6.1, no changes needed.

  [Georges Khaznadar]
  * bumped Standards-Version: 4.6.2

 -- Georges Khaznadar <georgesk@debian.org>  Tue, 21 Feb 2023 19:01:18 +0100

scolasync (5.4-2) unstable; urgency=medium

  * called "from PyQt5 import QtCore" before "import sip".
    Closes: #966050
  * added a call of "gi.require_version('UDisks', '2.0')" to better manage
    libraries

 -- Georges Khaznadar <georgesk@debian.org>  Wed, 22 Jul 2020 20:13:05 +0200

scolasync (5.4-1) unstable; urgency=medium

  * removed debian/compat, made a build dependency on debhelper-compat(=12)
  * recompiled the documentation with the last version of doxypypy

 -- Georges Khaznadar <georgesk@debian.org>  Sun, 19 Jul 2020 18:06:19 +0200

=== debian/control ===
--- 
+++ 
@@ -2,14 +2,15 @@
 Section: x11
 Priority: optional
 Maintainer: Georges Khaznadar <georgesk@debian.org>
-Build-Depends: debhelper (>= 11), python3-all, dh-python,
+Build-Depends: debhelper-compat (= 13),
+ python3-all, dh-python,
  pyqt5-dev, qtbase5-dev, qttools5-dev-tools, qtchooser,
- pyqt5-dev-tools, doxygen,
+ pyqt5-dev-tools, doxygen, python3-doxypypy,
  graphviz,
  texlive, texlive-latex-extra, texlive-latex-recommended,
  texlive-lang-french,
  xsltproc, docbook-xsl
-Standards-Version: 4.4.0
+Standards-Version: 4.6.2
 Vcs-Browser: https://salsa.debian.org/georgesk/scolasync
 Vcs-Git: https://salsa.debian.org/georgesk/scolasync.git

## scolasync 5.5

=== debian/changelog ===
scolasync (5.5-1) unstable; urgency=medium

  * new upstream version (applied patches from the master branch, updated the
    translation files). Closes: #1045916

 -- Georges Khaznadar <georgesk@debian.org>  Fri, 03 Nov 2023 11:06:31 +0100

## scolasync 5.6

=== src/Makefile ===
--- 
+++ 
@@ -3,6 +3,11 @@
 SOURCES = $(shell ls *.py| grep -v marques.py)
 ITF_SOURCES = $(shell ls *.ui)
 ITF = $(patsubst %.ui, Ui_%.py, $(ITF_SOURCES))
+
+test: clean all
+	# crée des liens symboliques pour faciliter les tests
+	ln -s /usr/share/icons/Tango/16x16 images/icons16
+	ln -s /usr/share/icons/Tango/32x32 images/icons32
 
 all: interfaces
 	make -C lang all
@@ -10,10 +15,12 @@
 interfaces: $(ITF)
 
 Ui_%.py: %.ui
-	pyuic4 $< > $@
+	pyuic5 $< > $@
 
 clean:
 	rm -rf build __pycache__
+	# effacement des liens symboliques utilisés pour les tests
+	rm -f images/icons*
 	rm -f *~ Ui_* *.pyc
 	make -C lang clean
 
@@ -22,9 +29,10 @@
 install:
 	install -d $(DESTDIR)/usr/share/scolasync
 	install -m 644 marques.py $(SOURCES) $(DESTDIR)/usr/share/scolasync
+	# corrige les chemins dans les fichiers d'interface utilisateur
+	# pour faire des chemins absolus
 	for f in $(ITF); do \
 	  sed -e 's%images%/usr/share/scolasync/images%' \
-	    -e 's%\.\./.*\(/usr/share/icons.*\)%\1%' \
 	    $$f > $(DESTDIR)/usr/share/scolasync/$$f; done
 	install -d $(DESTDIR)/usr/share/scolasync/lang
 	install -m 644 lang/*.qm $(DESTDIR)/usr/share/scolasync/lang
@@ -36,5 +44,5 @@
 svn-keywords:
 	for f in $(SOURCES); do svn propset svn:keywords "Id" $$f; done
 
-PHONY: all interfaces clean distclean svn-keywords install
+PHONY: all interfaces clean distclean svn-keywords install test

=== debian/changelog ===
scolasync (5.6-2) unstable; urgency=medium

  * bumped Standards-Version: 4.7.3
  * activated test-build-validate-cleanup with debian/salsa-ci.yml
    created a file debian/source/options to disregard changes in
    files src/lang/*.ts; Closes: #1045916
  * as test-build-validate-cleanup does not take in account the stance
    declared in debian/source/options, disactivated this test.

 -- Georges Khaznadar <georgesk@debian.org>  Fri, 06 Feb 2026 11:16:49 +0100

scolasync (5.6-1) unstable; urgency=medium

  * new upstream version: fixed bad escaped characters. Closes: #1087075

 -- Georges Khaznadar <georgesk@debian.org>  Sat, 09 Nov 2024 16:38:44 +0100

=== debian/control ===
--- 
+++ 
@@ -10,7 +10,7 @@
  texlive, texlive-latex-extra, texlive-latex-recommended,
  texlive-lang-french,
  xsltproc, docbook-xsl
-Standards-Version: 4.6.2
+Standards-Version: 4.7.3
 Vcs-Browser: https://salsa.debian.org/georgesk/scolasync
 Vcs-Git: https://salsa.debian.org/georgesk/scolasync.git
